Get request to client details
import requests
url = "https://api.paywise.de/v1/mandates/{mandate_id}/requests-to-client/{request_id}/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.paywise.de/v1/mandates/{mandate_id}/requests-to-client/{request_id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://api.paywise.de/v1/mandates/{mandate_id}/requests-to-client/{request_id}/")
.header("Authorization", "Bearer <token>")
.asString();using RestSharp;
var options = new RestClientOptions("https://api.paywise.de/v1/mandates/{mandate_id}/requests-to-client/{request_id}/");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
curl --request GET \
--url https://api.paywise.de/v1/mandates/{mandate_id}/requests-to-client/{request_id}/ \
--header 'Authorization: Bearer <token>'{
"id": "a1b2c3d4-e5f6-7890-1234-567890abcdef",
"href": "https://api.paywise.de/v1/mandates/5600672e-2bfa-488c-b23a-460c1dd1f833/requests-to-client/a1b2c3d4-e5f6-7890-1234-567890abcdef/",
"mandate": {
"id": "5600672e-2bfa-488c-b23a-460c1dd1f833",
"href": "https://api.paywise.de/v1/mandates/5600672e-2bfa-488c-b23a-460c1dd1f833/",
"reference_number": "K25-8Q114"
},
"title": "Rückfrage zur Forderung",
"description": "Bitte bestätigen Sie die offene Forderung in Höhe von 1.234,56 EUR. Der Schuldner behauptet, bereits eine Teilzahlung geleistet zu haben.",
"allowed_answer_types": "yes-no",
"file_attachments": [
{
"id": "f6e5d4c3-b2a1-9876-5432-1abcdef67890",
"filename": "schuldner_beleg.pdf",
"mime_type": "application/pdf",
"file_size": 145632,
"download_url": "https://api.paywise.de/v1/mandates/5600672e-2bfa-488c-b23a-460c1dd1f833/requests-to-client/a1b2c3d4-e5f6-7890-1234-567890abcdef/attachments/f6e5d4c3-b2a1-9876-5432-1abcdef67890/download/"
}
],
"answered": false,
"answer": null,
"created": "2025-11-20T10:30:00Z",
"answered_at": null
}mandates
Get request to client details
Retrieve details of a specific request to client.
GET
/
v1
/
mandates
/
{mandate_id}
/
requests-to-client
/
{request_id}
/
Get request to client details
import requests
url = "https://api.paywise.de/v1/mandates/{mandate_id}/requests-to-client/{request_id}/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.paywise.de/v1/mandates/{mandate_id}/requests-to-client/{request_id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://api.paywise.de/v1/mandates/{mandate_id}/requests-to-client/{request_id}/")
.header("Authorization", "Bearer <token>")
.asString();using RestSharp;
var options = new RestClientOptions("https://api.paywise.de/v1/mandates/{mandate_id}/requests-to-client/{request_id}/");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
curl --request GET \
--url https://api.paywise.de/v1/mandates/{mandate_id}/requests-to-client/{request_id}/ \
--header 'Authorization: Bearer <token>'{
"id": "a1b2c3d4-e5f6-7890-1234-567890abcdef",
"href": "https://api.paywise.de/v1/mandates/5600672e-2bfa-488c-b23a-460c1dd1f833/requests-to-client/a1b2c3d4-e5f6-7890-1234-567890abcdef/",
"mandate": {
"id": "5600672e-2bfa-488c-b23a-460c1dd1f833",
"href": "https://api.paywise.de/v1/mandates/5600672e-2bfa-488c-b23a-460c1dd1f833/",
"reference_number": "K25-8Q114"
},
"title": "Rückfrage zur Forderung",
"description": "Bitte bestätigen Sie die offene Forderung in Höhe von 1.234,56 EUR. Der Schuldner behauptet, bereits eine Teilzahlung geleistet zu haben.",
"allowed_answer_types": "yes-no",
"file_attachments": [
{
"id": "f6e5d4c3-b2a1-9876-5432-1abcdef67890",
"filename": "schuldner_beleg.pdf",
"mime_type": "application/pdf",
"file_size": 145632,
"download_url": "https://api.paywise.de/v1/mandates/5600672e-2bfa-488c-b23a-460c1dd1f833/requests-to-client/a1b2c3d4-e5f6-7890-1234-567890abcdef/attachments/f6e5d4c3-b2a1-9876-5432-1abcdef67890/download/"
}
],
"answered": false,
"answer": null,
"created": "2025-11-20T10:30:00Z",
"answered_at": null
}Authorizations
tokenAuthtokenAuth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
200 - application/json
Main serializer for RequestToClient in the Public API. Provides full detail view for GET requests.
Minimal mandate info for RequestToClient responses.
Show child attributes
Show child attributes
None- ---------yes-no- Ja/Neinyes-no-dontknow- Ja/Nein/Weiß nichtfileupload- Freitext + Dateiuploadyes-no-freetext-on-no- Ja/Nein + Freitext bei Neinyes-with-date-no-freetext-on-no- Ja + Datum / Nein + Freitextdynamic-form- Dynamisches Formular
Available options:
yes-no, yes-no-dontknow, fileupload, yes-no-freetext-on-no, yes-with-date-no-freetext-on-no, dynamic-form Show child attributes
Show child attributes
Read-only serializer for displaying answers. Shows text, additional comment, and uploaded files.
Show child attributes
Show child attributes
